# Generated by Django 2.1.7 on 2021-05-04 18:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tickets', '0026_auto_20210504_1414'),
    ]

    operations = [
        migrations.RenameField(
            model_name='categorymodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='historicalcategorymodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='historicalnewcontactmodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='historicaltypifymodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='historicaltypifyslackmessagemodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='historicaltypifytablesmodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='newcontactmodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='processmodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='typifymodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='typifyslackmessagemodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RenameField(
            model_name='typifytablesmodel',
            old_name='operator_instance',
            new_name='operator',
        ),
        migrations.RemoveField(
            model_name='historicalprocessmodel',
            name='operator_instance',
        ),
        migrations.AddField(
            model_name='historicalprocessmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, default=1, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.OperatorModel'),
        ),
    ]
